PATCH

Update Contact Note

Updates the body text of an existing note.

PATCHhttps://api.vantaxai.com/v1/notes/{note_id}

Headers

  • Authorizationstringrequired

    Bearer authentication with your secret API key.

    example: Bearer vx_live_3fa9c2…

  • Content-Typestringrequired

    Must be application/json for requests with a body.

    example: application/json

Path Parameters

  • note_idstringrequired

    The note to update.

    example: note_61aa09

Body Parameters

  • notestringrequired

    The replacement note text.

    example: Sent the quote — awaiting sign-off.

Request

curl -X PATCH https://api.vantaxai.com/v1/notes/note_61aa09 \
  -H "Authorization: Bearer vx_live_3fa9c2..." \
  -H "Content-Type: application/json" \
  -d '{
  "note": "Sent the quote — awaiting sign-off."
}'

Response

{
  "success": true,
  "message": "Note updated successfully",
  "data": {
    "id": "note_61aa09",
    "contact_id": "ct_9b21d3",
    "note": "Sent the quote — awaiting sign-off.",
    "updated_at": "2026-02-02T08:12:00Z"
  }
}